- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
flock Struct Reference

A structure that controls the lock of a file descriptor. More...

## Data Fields
short int | l_type
| lock type: read, write, ... More...
short int | l_whence
| type of l_start
off_t | l_start
| starting offset
off_t | l_len
| 0 means end of the file
pid_t | l_pid
| lock owner

## Detailed Description

A structure that controls the lock of a file descriptor.

## Field Documentation

short int flock::l_type

lock type: read, write, ...

Referenced by fcntl().